| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysEventRecorder Struct Reference

An interface designed for the debugging needs of the sound system. More...

`#include <isndsys/ss_eventrecorder.h>`

Inheritance diagram for iSndSysEventRecorder:

[legend]
List of all members.

## Public Member Functions
virtual void | RecordEvent (SndSysEventCategory, SndSysEventLevel, const char *Description,...)=0
| Log an event with typical variable argument format.
virtual void | RecordEventV (SndSysEventCategory, SndSysEventLevel, const char *Description, va_list)=0
| Log an event with va_list argument passing - useful if you have a logging wrapper function.
| SCF_INTERFACE (iSndSysEventRecorder, 1, 0, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

## Detailed Description

An interface designed for the debugging needs of the sound system.

Definition at line 56 of file ss_eventrecorder.h.

## Member Function Documentation

virtual void iSndSysEventRecorder::RecordEvent | ( | SndSysEventCategory | ,
|  | SndSysEventLevel | ,
|  | const char * | Description,
|  |  | ... |
| ) |  |  | `[pure virtual]`

Log an event with typical variable argument format.

virtual void iSndSysEventRecorder::RecordEventV | ( | SndSysEventCategory | ,
|  | SndSysEventLevel | ,
|  | const char * | Description,
|  | va_list |  |
| ) |  |  | `[pure virtual]`

Log an event with va_list argument passing - useful if you have a logging wrapper function.

iSndSysEventRecorder::SCF_INTERFACE | ( | iSndSysEventRecorder | ,
|  | 1 | ,
|  | 0 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

The documentation for this struct was generated from the following file:

- isndsys/ss_eventrecorder.h